#
# spec file for package dqs (Version 3.3.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         dqs
Copyright:    1999 - not specified
Group:        Applications/Clustering
Conflicts:    OpenPBS
Autoreqprov:  on
Summary:      A Distributed Queueing System
Version:      3.3.2
Release:      105
Source0:      DQS-%{version}.tar.bz2
Source1:      resolve_file.dist
Source2:      conf_file.dist
Patch:        DQS-%{version}.dif
BuildRoot:    %{_tmppath}/dqs-%{version}-root
Patch1: 	security.patch

%description
The Distributed Queueing System is designed as a management tool to aid in computational resource distribution across a network. DQS provides architecture transparency for both users and administration across a heterogeneous environment, allowing for seamless interaction for multiple architectures. Highly mutable custom site configurationsare possible under DQS. This abilty to customize DQS leads to effective resource distribution and increased network throughput.

Authors:
--------
    SUPER COMPUTER COMPUTATIONS RESEARCH INSTITUTE
    FLORIDA STATE UNIVERSITY

SuSE series: beo

%prep
%setup  -n DQS-%{version}
%patch
%patch1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
PREFIX=$RPM_BUILD_ROOT make installall
install -d $RPM_BUILD_ROOT/usr/share/man/
install -d $RPM_BUILD_ROOT/etc/dqs
install -d $RPM_BUILD_ROOT/usr/bin
install -d $RPM_BUILD_ROOT/usr/sbin
install -d $RPM_BUILD_ROOT/var/log
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
cp -a MAN/* $RPM_BUILD_ROOT/usr/share/man/
cp $RPM_SOURCE_DIR/resolve_file.dist $RPM_BUILD_ROOT/etc/dqs/resolve_file
cp $RPM_SOURCE_DIR/conf_file.dist $RPM_BUILD_ROOT/etc/dqs/conf_file
mv $RPM_BUILD_ROOT/usr/bin/qmaster $RPM_BUILD_ROOT/usr/sbin/
mv $RPM_BUILD_ROOT/usr/bin/dqs_execd $RPM_BUILD_ROOT/usr/sbin/
install -m 644 rc.config $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.dqs
install -d $RPM_BUILD_ROOT/etc/init.d
install -m  744 qmaster.init $RPM_BUILD_ROOT/etc/init.d/qmaster
install -m  744 dqs_execd.init $RPM_BUILD_ROOT/etc/init.d/dqs_execd
ln -sf ../../etc/init.d/qmaster $RPM_BUILD_ROOT/usr/sbin/rcqmaster
ln -sf ../../etc/init.d/dqs_execd $RPM_BUILD_ROOT/usr/sbin/rcdqs_execd
touch $RPM_BUILD_ROOT/var/log/dqs_errors
touch $RPM_BUILD_ROOT/var/log/dqs_log

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.dqs
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and etc/rc.config.dqs and update by hand."
fi
sbin/insserv etc/init.d/qmaster
sbin/insserv etc/init.d/dqs_execd

%preun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc ChangeLog KnownBugs ToDo README COPYRIGHT DOC/user_guide tests
/usr/bin/*
/usr/sbin/*
%dir /etc/dqs
%config /etc/dqs/conf_file
%config /etc/dqs/resolve_file
%config /etc/dqs/key_file
%doc /usr/share/man/man1/*
/etc/init.d/*
/var/adm/fillup-templates/rc.config.dqs
%ghost /var/log/dqs_errors  
%ghost /var/log/dqs_log

%changelog -n dqs
* Tue Jul 03 2001 - nashif@suse.de
- Fixed bug #9131
* Sat Jun 02 2001 - nashif@suse.de
-  Security fix for a buffer overflow in setuid-root program /usr/bin/dsh.
* Fri Feb 16 2001 - nashif@suse.de
- Fixed to work with gcc 2.96
* Thu Nov 30 2000 - nashif@suse.de
- Move init.d scripts to /etc/init.d
* Sun Nov 26 2000 - nashif@suse.de
- use insserv
* Wed Nov 15 2000 - nashif@suse.de
- Fixed to work with unprivilged ports
- Fixed init script
* Tue Nov 14 2000 - nashif@suse.de
- Update to version 3.3.1
* Tue May 16 2000 - nashif@suse.de
- Use BuildRoot
- Group tag
* Thu Mar 02 2000 - nashif@suse.de
- moved man pages to /usr/share/man
* Tue Jan 25 2000 - nashif@suse.de
- added conflict tag to spec (pbs pbsmom)
* Tue Jan 04 2000 - ro@suse.de
- y2k-fix
- specfile cleanup: use %%doc
* Tue Nov 09 1999 - nashif@suse.de
- Initial Release ( Version 3.2.7 )
